Newland:
  Toubiz:
    Poi:
      Neos:
        filter:
          articleType:
            6:
              combine: 'AND'
              join:
                - column: 'entity.attributes'
                  alias: 'attributes'
                - column: 'entity.categories'
                  alias: 'categories'
                - column: 'entity.mainAddress'
                  alias: 'mainAddress'
              children:
                locations:
                  type: 'section'
                  combine: 'AND'
                  title:
                    id: 'section.cities'
                    source: 'Views/Filter'
                    package: 'Newland.Toubiz.Poi.Neos'
                  children:
                    cities:
                      type: 'Newland\Toubiz\Poi\Neos\Filter\Items\CityList'
                      combine: 'OR'
                      title:
                        id: 'group.cities'
                        source: 'Views/Filter'
                        package: 'Newland.Toubiz.Poi.Neos'
                      databaseColumn: 'entity.Persistence_Object_Identifier'
                      queryString: 'city'
                      dataSource: 'newland-toubiz-poi-neos-pois'
                      dataSourceArguments:
                        mainType: 6
                      override:
                        property: preselectedCities
                        behaviour: 'limit_selectable'
                      searchBoxDisplayLimit: 15
                      maxItemsBeforeExpandable: 4
                    regions:
                      type: '\Newland\Toubiz\Poi\Neos\Filter\Items\RegionList'
                      combine: 'OR'
                      title:
                        id: 'group.regions'
                        source: 'Views/Filter'
                        package: 'Newland.Toubiz.Poi.Neos'
                      databaseColumn: 'mainAddress.zip'
                      queryString: 'region'
                      dataSource: 'newland-toubiz-poi-neos-regions'
                      override:
                        property: regions
                        behaviour: 'limit_selectable'
                      searchBoxDisplayLimit: 15
                      maxItemsBeforeExpandable: 4

                pagination:
                  type: 'pagination_input'
                  queryString: 'page'
                  defaultState: 1
                  attributes:
                    'data-toubiz-results-list.page': ''
